// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

import * as React from 'react';
import { SVGProps } from 'react';

const IconDaenvOptionsDefault: React.FunctionComponent<React.SVGProps<SVGSVGElement>> = (
  _props: SVGProps<SVGSVGElement>,
) => (
  <svg width="32" height="32" viewBox="0 0 32 32" fill="none" xmlns="http://www.w3.org/2000/svg">
    <path
      d="M3 0.5H29C30.3807 0.5 31.5 1.61929 31.5 3V29C31.5 30.3807 30.3807 31.5 29 31.5H3C1.61929 31.5 0.5 30.3807 0.5 29V3C0.5 1.61929 1.61929 0.5 3 0.5Z"
      stroke="black"
    />
    <path
      d="M16 9.28081L15.9643 9.24454L13.0835 6.3143C13.0835 6.31427 13.0834 6.31424 13.0834 6.31421C12.7526 5.98125 12.184 5.95915 11.8299 6.26977C11.4769 6.57942 11.4541 7.10874 11.7825 7.43945L11.7827 7.43958L14.7635 10.4638L14.7981 10.4989L14.7635 10.534L11.7827 13.5582L11.7825 13.5583C11.4541 13.889 11.4769 14.4182 11.8298 14.7279L16 9.28081ZM16 9.28081L16.0357 9.24454M16 9.28081L16.0357 9.24454M16.0357 9.24454L18.9165 6.3143C18.9165 6.31428 18.9166 6.31426 18.9166 6.31423C19.2473 5.98125 19.816 5.95914 20.1701 6.26977C20.5231 6.57942 20.5459 7.10874 20.2175 7.43945L20.2173 7.43958L17.2365 10.4638L17.2019 10.4989L17.2365 10.534L20.2173 13.5582L20.2175 13.5583C20.5457 13.8888 20.5231 14.4176 20.1708 14.7274C19.9922 14.8726 19.779 14.95 19.567 14.95C19.33 14.95 19.0936 14.8609 18.9165 14.6834C18.9165 14.6834 18.9165 14.6834 18.9164 14.6834L16.0357 11.7532L16 11.7169M16.0357 9.24454L16 11.7169M16 11.7169L15.9643 11.7532M16 11.7169L15.9643 11.7532M15.9643 11.7532L13.0836 14.6834C13.0835 14.6834 13.0835 14.6834 13.0835 14.6834C12.9064 14.8609 12.67 14.95 12.433 14.95C12.2198 14.95 11.9948 14.8719 11.8299 14.728L15.9643 11.7532Z"
      fill="black"
      stroke="black"
      strokeWidth="0.1"
    />
    <path
      d="M20.7676 20.433L20.7679 20.4327C21.1138 20.117 21.1481 19.5862 20.8349 19.2356C20.5323 18.8849 19.995 18.8512 19.648 19.1676C19.648 19.1677 19.6479 19.1678 19.6478 19.1678L14.2205 24.0381L12.3803 22.179C12.0554 21.8509 11.5182 21.8509 11.1934 22.179C10.8689 22.5069 10.8689 23.0487 11.1934 23.3766L13.5934 25.8012C13.7611 25.9707 13.9741 26.05 14.1868 26.05C14.3873 26.05 14.5893 25.9825 14.7469 25.8348C14.7471 25.8347 14.7472 25.8345 14.7474 25.8344L20.7676 20.433Z"
      fill="black"
      stroke="black"
      strokeWidth="0.1"
    />
  </svg>
);

export default IconDaenvOptionsDefault;
